/*
	ProWesS, PROGS Windowing System

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera
	started 22 July 1995
*/

#include "mem.h"

#include "ProWesS.h"

#define MAXLEN 50

Error newitem(PWObject object)
{
	PWObject edline;
	char str[MAXLEN];
	PWQuery(object,PW_GLOBAL_AUXILIARY,&edline);
	PWChange(edline,PW_EDLINE_GET,MAXLEN,str,NULL);
	return PWCreate(edline,NULL,PW_TYPE_LOOSE_ITEM,
						PW_LOOSE_TEXT_COPY, str,
						PW_POSITION_ABOVE,edline,
						NULL);
}

void init()
{
	PWObject obj,it1;

	PWCreate(NULL,&obj,PW_TYPE_OUTLINE,
				PW_OUTLINE_SLEEP,
				PW_OUTLINE_QUIT,
				PW_OUTLINE_ACTION_DO, &newitem,
				NULL);
	PWCreate(obj,&it1,PW_TYPE_EDLINE,
				PW_EDLINE_SET, "type text here",
				PW_EDLINE_MAXLENGTH, MAXLEN,
				NULL);
	PWChange(obj,PW_GLOBAL_AUXILIARY,it1,NULL);
	PWActivate(obj);
}
